This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 219086 - Review Request: perl-Geo-Functions - Standard Geo:: functions
Review Request: perl-Geo-Functions - Standard Geo:: functions
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On: 219084
Blocks: FE-ACCEPT 219087
  Show dependency treegraph
 
Reported: 2006-12-10 12:07 EST by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-11 16:20:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-12-10 12:07:10 EST
Spec URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Geo-Functions.spec

SRPM URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Geo-Functions-0.04-1.src.rpm

Description:
Standard Geo:: functions.

Note: the Geo::* modules are requirements of Net::GPSD
Comment 1 Parag AN(पराग) 2006-12-11 00:26:00 EST
I installed perl-Geo-Constants-0.05-1 then i built this package and installed
and i found now
/usr/lib/perl5/vendor_perl/5.8.8/Geo
is owned by both packages.
I think this package's SPEC need to change line under %files
%{perl_vendorlib}/Geo/
to
%{perl_vendorlib}/Geo/Functions.pm

Comment 2 Parag AN(पराग) 2006-12-11 00:40:09 EST
OR is that ok for perl packages?
Comment 3 Ralf Corsepius 2006-12-11 03:21:01 EST
(In reply to comment #2)
> OR is that ok for perl packages?
It is a MUST. 

Perl module-package must own all dirs which are not owned by the base
perl-packages or a standard filesystem packages.

BTW: The same consideration also applies to other "module-like" systems.
Comment 4 Parag AN(पराग) 2006-12-11 04:38:04 EST
(In reply to comment #3)
> (In reply to comment #2)
> > OR is that ok for perl packages?
> It is a MUST. 
> 
> Perl module-package must own all dirs which are not owned by the base
> perl-packages or a standard filesystem packages.
> 
> BTW: The same consideration also applies to other "module-like" systems.

Thanks for info. So perl modules, python modules MUST own all directories.
Comment 5 Parag AN(पराग) 2006-12-11 04:40:28 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMS.
+ source files match upstream.
32a4eb2ec009cec6c2175d9166ffd911  Geo-Functions-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ %check used
make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/base....ok
All tests successful.
Files=1, Tests=31,  0 wallclock secs ( 0.02 cusr +  0.00 csys =  0.02 CPU)

+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
APPROVED.
Comment 6 Jose Pedro Oliveira 2006-12-11 16:19:03 EST
Thanks for the review.

Package imported and built for FC-5, FC-6, and devel.

Note You need to log in before you can comment on or make changes to this bug.